public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2017-08-30 21:07 Matt Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matt Thode @ 2017-08-30 21:07 UTC (permalink / raw
  To: gentoo-commits

commit:     b40eee97dd3e89202987a96d78cea6061027849d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 30 20:54:31 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Aug 30 21:06:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b40eee97

dev-python/os-traits: adding for pike

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/os-traits/Manifest               |  1 +
 dev-python/os-traits/metadata.xml           | 14 ++++++++++++++
 dev-python/os-traits/os-traits-0.3.3.ebuild | 29 +++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
new file mode 100644
index 00000000000..16c59b9e75f
--- /dev/null
+++ b/dev-python/os-traits/Manifest
@@ -0,0 +1 @@
+DIST os-traits-0.3.3.tar.gz 17374 SHA256 130da3936873ded6d607e2cca85c12d603ad0971ace9d8c72fbf7fea67027edf SHA512 bd8a7a29170aee1be59ed21684ed2a5dbb1440841a54b522bd3ec31ef61c9fd4f6eecca812c8a8b927c285142801c3da190d7bb47c7b315312e10c1c81d50e27 WHIRLPOOL 31cbb9a40350d259988269ee9d80c8da826ac02a2d119dd514d7258a284963b5ee505969e04c2b3af41b737f79cd3edf53cdfbbdd563474b2ad39ccccfe3015c

diff --git a/dev-python/os-traits/metadata.xml b/dev-python/os-traits/metadata.xml
new file mode 100644
index 00000000000..8c623aa52d5
--- /dev/null
+++ b/dev-python/os-traits/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>prometheanfire@gentoo.org</email>
+		<name>Matthew Thode</name>
+	</maintainer>
+	<longdescription lang="en">
+	</longdescription>
+	<upstream>
+		<remote-id type="github">openstack/os-traits</remote-id>
+		<remote-id type="pypi">os-traits</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/os-traits/os-traits-0.3.3.ebuild b/dev-python/os-traits/os-traits-0.3.3.ebuild
new file mode 100644
index 00000000000..52e4b51e566
--- /dev/null
+++ b/dev-python/os-traits/os-traits-0.3.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2017-09-29 23:32 Matt Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matt Thode @ 2017-09-29 23:32 UTC (permalink / raw
  To: gentoo-commits

commit:     6757085946a5eea37610012e9b406ec3a1c6cafd
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 23:31:11 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 23:31:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67570859

dev-python/os-traits: 0.3.3 stablized amd64 x86 under allarches

 dev-python/os-traits/os-traits-0.3.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-0.3.3.ebuild b/dev-python/os-traits/os-traits-0.3.3.ebuild
index 52e4b51e566..3b5b610f897 100644
--- a/dev-python/os-traits/os-traits-0.3.3.ebuild
+++ b/dev-python/os-traits/os-traits-0.3.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE=""
 
 CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2018-02-24  6:22 Matt Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matt Thode @ 2018-02-24  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     142373a4df26667cc9357bf6aa7e2e825c188002
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 06:02:34 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 06:02:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=142373a4

dev-python/os-traits: 0.5.0 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/os-traits/Manifest               |  1 +
 dev-python/os-traits/os-traits-0.5.0.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index b142c421713..ad368a16646 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1 +1,2 @@
 DIST os-traits-0.3.3.tar.gz 17374 BLAKE2B cc5707317448f66aac84e69340dc1923436846553b059753217ae51971289dc2413ce858f46fc809e80b1754c917fd431b4134b3886eaa6ffac81a4962c30730 SHA512 bd8a7a29170aee1be59ed21684ed2a5dbb1440841a54b522bd3ec31ef61c9fd4f6eecca812c8a8b927c285142801c3da190d7bb47c7b315312e10c1c81d50e27
+DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae SHA512 2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.5.0.ebuild b/dev-python/os-traits/os-traits-0.5.0.ebuild
new file mode 100644
index 00000000000..9d648359e82
--- /dev/null
+++ b/dev-python/os-traits/os-traits-0.5.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2018-03-31  1:54 Matt Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matt Thode @ 2018-03-31  1:54 UTC (permalink / raw
  To: gentoo-commits

commit:     e2e3c0497e03168f5255302054135078dc7ade6a
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 31 01:43:52 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Mar 31 01:53:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2e3c049

dev-python/os-traits: 0.5.0 stablized under allarchesa

Stablized for Openstack Queens

 dev-python/os-traits/os-traits-0.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-0.5.0.ebuild b/dev-python/os-traits/os-traits-0.5.0.ebuild
index 9d648359e82..da6982e6822 100644
--- a/dev-python/os-traits/os-traits-0.5.0.ebuild
+++ b/dev-python/os-traits/os-traits-0.5.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE=""
 
 CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2018-06-26 17:43 Pacho Ramos
  0 siblings, 0 replies; 16+ messages in thread
From: Pacho Ramos @ 2018-06-26 17:43 UTC (permalink / raw
  To: gentoo-commits

commit:     3284b6567ec4cf297ac14eb7e06388001f048472
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 26 17:38:09 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Jun 26 17:42:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3284b656

dev-python/os-traits: Support python3.6

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/os-traits/os-traits-0.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-0.5.0.ebuild b/dev-python/os-traits/os-traits-0.5.0.ebuild
index da6982e6822..625f225d1de 100644
--- a/dev-python/os-traits/os-traits-0.5.0.ebuild
+++ b/dev-python/os-traits/os-traits-0.5.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2019-03-25  0:07 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2019-03-25  0:07 UTC (permalink / raw
  To: gentoo-commits

commit:     92ee0d27d555a32b964e665ac090f0bec0ce388f
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 00:04:58 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 00:07:08 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92ee0d27

dev-python/os-traits: cleanup

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest               |  1 -
 dev-python/os-traits/os-traits-0.3.3.ebuild | 29 -----------------------------
 2 files changed, 30 deletions(-)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index ad368a16646..97588fc677c 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1,2 +1 @@
-DIST os-traits-0.3.3.tar.gz 17374 BLAKE2B cc5707317448f66aac84e69340dc1923436846553b059753217ae51971289dc2413ce858f46fc809e80b1754c917fd431b4134b3886eaa6ffac81a4962c30730 SHA512 bd8a7a29170aee1be59ed21684ed2a5dbb1440841a54b522bd3ec31ef61c9fd4f6eecca812c8a8b927c285142801c3da190d7bb47c7b315312e10c1c81d50e27
 DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae SHA512 2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.3.3.ebuild b/dev-python/os-traits/os-traits-0.3.3.ebuild
deleted file mode 100644
index 3b5b610f897..00000000000
--- a/dev-python/os-traits/os-traits-0.3.3.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
-
-inherit distutils-r1
-
-DESCRIPTION="os-traits is a library containing standardized trait strings."
-HOMEPAGE="https://github.com/openstack/os-traits"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE=""
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-	!~dev-python/pbr-2.1.0"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	${CDEPEND}"
-RDEPEND="
-	${CDEPEND}
-	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]"
-
-python_prepare_all() {
-	sed -i '/^hacking/d' test-requirements.txt || die
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2019-04-12 19:44 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2019-04-12 19:44 UTC (permalink / raw
  To: gentoo-commits

commit:     b17ae1ff30d399b98b9475d54b9c0edb72831f68
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 12 18:09:23 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Apr 12 19:43:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b17ae1ff

dev-python/os-traits: 0.11.0 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest                |  1 +
 dev-python/os-traits/os-traits-0.11.0.ebuild | 29 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 97588fc677c..5bfe6cc0542 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1 +1,2 @@
+DIST os-traits-0.11.0.tar.gz 20362 BLAKE2B 843c1a874dc5e7ee5066263a7dfd9491157c692a5489e53f9467d85589ce25570995cb25715409a49d81400a39bbf4c5ba0e616706e7462c4497f3613dd95599 SHA512 570fdc23ab3ae1920cbe0520bf2c007bd10c8372d83bb129993324a9a6de4462a9b5a86b816295dde9039f55cb8f125cb38653b4bfdb29630577327ec47c7d0c
 DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae SHA512 2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.11.0.ebuild b/dev-python/os-traits/os-traits-0.11.0.ebuild
new file mode 100644
index 00000000000..241c349fd06
--- /dev/null
+++ b/dev-python/os-traits/os-traits-0.11.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2019-10-21  0:19 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2019-10-21  0:19 UTC (permalink / raw
  To: gentoo-commits

commit:     7901b23d63bd9338ef7c7147a67a9f68eb7aa0fe
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 23:07:59 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 00:18:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7901b23d

dev-python/os-traits: 0.16.0 bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest                |  1 +
 dev-python/os-traits/os-traits-0.16.0.ebuild | 29 ++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 5bfe6cc0542..4aae11bba46 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1,2 +1,3 @@
 DIST os-traits-0.11.0.tar.gz 20362 BLAKE2B 843c1a874dc5e7ee5066263a7dfd9491157c692a5489e53f9467d85589ce25570995cb25715409a49d81400a39bbf4c5ba0e616706e7462c4497f3613dd95599 SHA512 570fdc23ab3ae1920cbe0520bf2c007bd10c8372d83bb129993324a9a6de4462a9b5a86b816295dde9039f55cb8f125cb38653b4bfdb29630577327ec47c7d0c
+DIST os-traits-0.16.0.tar.gz 24583 BLAKE2B 8f81c4ae3cd88f74b7b44033800af4475c2e76cf4ca402504bb54444c3952fa97a2871336bcdd4a5ed870e423c1201fe0ca658d663d19286098641efd88bc060 SHA512 93ff4c066e0819cacf3a8cc8b80b05960e7a4b7c31af1d249f61f95eac1f37ea21f0f1ddb6e6dbc5b9c023394e10db88a105bbfbbfaf10afc57078040838a8f7
 DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae SHA512 2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.16.0.ebuild b/dev-python/os-traits/os-traits-0.16.0.ebuild
new file mode 100644
index 00000000000..3ba218ddd66
--- /dev/null
+++ b/dev-python/os-traits/os-traits-0.16.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2019-11-19 18:36 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2019-11-19 18:36 UTC (permalink / raw
  To: gentoo-commits

commit:     7203fded7f283ae7bf7fd14b13df6399a90aa1c1
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 19 17:59:36 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Nov 19 18:35:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7203fded

dev-python/os-traits: 0.16.0 allarches stablized

Stablized for Openstack Train

Package-Manager: Portage-2.3.76, Repoman-2.3.18
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/os-traits-0.16.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-0.16.0.ebuild b/dev-python/os-traits/os-traits-0.16.0.ebuild
index 3ba218ddd66..0ab91e9fe7e 100644
--- a/dev-python/os-traits/os-traits-0.16.0.ebuild
+++ b/dev-python/os-traits/os-traits-0.16.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE=""
 
 CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-02-11 19:06 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2020-02-11 19:06 UTC (permalink / raw
  To: gentoo-commits

commit:     1fcb48e9e9261565d8e2c37365fd807e1fe5c261
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 18:42:21 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 19:06:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fcb48e9

dev-python/os-traits: cleanup

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest                |  2 --
 dev-python/os-traits/os-traits-0.11.0.ebuild | 29 ----------------------------
 dev-python/os-traits/os-traits-0.5.0.ebuild  | 29 ----------------------------
 3 files changed, 60 deletions(-)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 4aae11bba46..3d8e65601ba 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1,3 +1 @@
-DIST os-traits-0.11.0.tar.gz 20362 BLAKE2B 843c1a874dc5e7ee5066263a7dfd9491157c692a5489e53f9467d85589ce25570995cb25715409a49d81400a39bbf4c5ba0e616706e7462c4497f3613dd95599 SHA512 570fdc23ab3ae1920cbe0520bf2c007bd10c8372d83bb129993324a9a6de4462a9b5a86b816295dde9039f55cb8f125cb38653b4bfdb29630577327ec47c7d0c
 DIST os-traits-0.16.0.tar.gz 24583 BLAKE2B 8f81c4ae3cd88f74b7b44033800af4475c2e76cf4ca402504bb54444c3952fa97a2871336bcdd4a5ed870e423c1201fe0ca658d663d19286098641efd88bc060 SHA512 93ff4c066e0819cacf3a8cc8b80b05960e7a4b7c31af1d249f61f95eac1f37ea21f0f1ddb6e6dbc5b9c023394e10db88a105bbfbbfaf10afc57078040838a8f7
-DIST os-traits-0.5.0.tar.gz 15775 BLAKE2B 288db72d500a3187a8520b9674982f3233f8644a537ec04971453ece394344b7310cbf133785dfee7122e1aeadebee7fd91d18f57a6ccecf0f176fd569b2bfae SHA512 2dd9019b13fc3394bf97fa9ff6c82d02d26dc6ca8ba8b32e619e9f88a9fdee0d3082e3818ca6a51eea9eb45997dfb48eee6976190b27dff6ab5b892747ce2a54

diff --git a/dev-python/os-traits/os-traits-0.11.0.ebuild b/dev-python/os-traits/os-traits-0.11.0.ebuild
deleted file mode 100644
index 92ca6d87d41..00000000000
--- a/dev-python/os-traits/os-traits-0.11.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
-
-inherit distutils-r1
-
-DESCRIPTION="os-traits is a library containing standardized trait strings."
-HOMEPAGE="https://github.com/openstack/os-traits"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE=""
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-	!~dev-python/pbr-2.1.0"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	${CDEPEND}"
-RDEPEND="
-	${CDEPEND}
-	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
-
-python_prepare_all() {
-	sed -i '/^hacking/d' test-requirements.txt || die
-	distutils-r1_python_prepare_all
-}

diff --git a/dev-python/os-traits/os-traits-0.5.0.ebuild b/dev-python/os-traits/os-traits-0.5.0.ebuild
deleted file mode 100644
index f36ab09fb6b..00000000000
--- a/dev-python/os-traits/os-traits-0.5.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="os-traits is a library containing standardized trait strings."
-HOMEPAGE="https://github.com/openstack/os-traits"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE=""
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-	!~dev-python/pbr-2.1.0"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	${CDEPEND}"
-RDEPEND="
-	${CDEPEND}
-	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
-
-python_prepare_all() {
-	sed -i '/^hacking/d' test-requirements.txt || die
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-05-16 21:21 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2020-05-16 21:21 UTC (permalink / raw
  To: gentoo-commits

commit:     3ae36b0ecc644dd60d098555012607811dcdf130
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat May 16 20:14:59 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat May 16 21:21:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ae36b0e

dev-python/os-traits: 2.3.0 bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest               |  1 +
 dev-python/os-traits/os-traits-2.3.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 3d8e65601ba..20add1a9c55 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1 +1,2 @@
 DIST os-traits-0.16.0.tar.gz 24583 BLAKE2B 8f81c4ae3cd88f74b7b44033800af4475c2e76cf4ca402504bb54444c3952fa97a2871336bcdd4a5ed870e423c1201fe0ca658d663d19286098641efd88bc060 SHA512 93ff4c066e0819cacf3a8cc8b80b05960e7a4b7c31af1d249f61f95eac1f37ea21f0f1ddb6e6dbc5b9c023394e10db88a105bbfbbfaf10afc57078040838a8f7
+DIST os-traits-2.3.0.tar.gz 25968 BLAKE2B 9c749ca63f7d67e979a732fbc5de3285ec2635a6ca92fae26f8801e9d9f3dcd1a09b3eacb10162a5e53be932ddc48a8f379a17c8cfb3dbe6114339c35d943111 SHA512 0dd7379dded33a89e1163fb929cc50016474912817f99f048abf325cedd9369d155cf8ecfdcd868ec1bf124c0a44f9926daeffa68877bf723f78a15f6c091e90

diff --git a/dev-python/os-traits/os-traits-2.3.0.ebuild b/dev-python/os-traits/os-traits-2.3.0.ebuild
new file mode 100644
index 00000000000..57385c932b6
--- /dev/null
+++ b/dev-python/os-traits/os-traits-2.3.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-05-30 17:52 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2020-05-30 17:52 UTC (permalink / raw
  To: gentoo-commits

commit:     c47e0aa000ebc13134ae0db387bf8aaf6e7ade1d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat May 30 17:33:36 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat May 30 17:33:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c47e0aa0

dev-python/os-traits: 2.3.0 allarches stablized

Stablized for Openstack USSURI

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/os-traits-2.3.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-2.3.0.ebuild b/dev-python/os-traits/os-traits-2.3.0.ebuild
index 57385c932b6..0b5e0d5cd90 100644
--- a/dev-python/os-traits/os-traits-2.3.0.ebuild
+++ b/dev-python/os-traits/os-traits-2.3.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE=""
 
 CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-10-18 21:59 Matthew Thode
  0 siblings, 0 replies; 16+ messages in thread
From: Matthew Thode @ 2020-10-18 21:59 UTC (permalink / raw
  To: gentoo-commits

commit:     82527016c3d1eeb769e1388f178dade9d34f4b24
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 18 21:35:27 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Oct 18 21:59:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82527016

dev-python/os-traits: 2.4.0 bump

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-traits/Manifest               |  1 +
 dev-python/os-traits/os-traits-2.4.0.ebuild | 18 ++++++++++++++++++
 2 files changed, 19 insertions(+)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index d554573643c..20a978bf65f 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1 +1,2 @@
 DIST os-traits-2.3.0.tar.gz 25968 BLAKE2B 9c749ca63f7d67e979a732fbc5de3285ec2635a6ca92fae26f8801e9d9f3dcd1a09b3eacb10162a5e53be932ddc48a8f379a17c8cfb3dbe6114339c35d943111 SHA512 0dd7379dded33a89e1163fb929cc50016474912817f99f048abf325cedd9369d155cf8ecfdcd868ec1bf124c0a44f9926daeffa68877bf723f78a15f6c091e90
+DIST os-traits-2.4.0.tar.gz 25523 BLAKE2B 4b80ea28b748d69f9ddc510a2c4766f06bfe85544c86c6771d323f8a58e3244033d4bf79c0b525be1a46b39402f19f6dd2e83bef5fcec06e52cd0a3c0708f69d SHA512 ac6cfc58f3f77d44fb252be0c00afbd147ec0da0cca395c76b5ba31d3626a7118273713935f793c9ed9a2230062c9a3e9384867795aa83318cfa2c91fb15fa55

diff --git a/dev-python/os-traits/os-traits-2.4.0.ebuild b/dev-python/os-traits/os-traits-2.4.0.ebuild
new file mode 100644
index 00000000000..307e81868da
--- /dev/null
+++ b/dev-python/os-traits/os-traits-2.4.0.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_7 python3_8 )
+
+inherit distutils-r1
+
+DESCRIPTION="os-traits is a library containing standardized trait strings."
+HOMEPAGE="https://github.com/openstack/os-traits"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND=">=dev-python/pbr-5.4.0[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-11-25  9:23 Michał Górny
  0 siblings, 0 replies; 16+ messages in thread
From: Michał Górny @ 2020-11-25  9:23 UTC (permalink / raw
  To: gentoo-commits

commit:     99d26f5b93886422c4029c943a7715c5ea1c3561
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 25 09:15:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 09:22:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99d26f5b

dev-python/os-traits: Mark ALLARCHES

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/os-traits/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/os-traits/metadata.xml b/dev-python/os-traits/metadata.xml
index 6e876e03707..0b525ae1634 100644
--- a/dev-python/os-traits/metadata.xml
+++ b/dev-python/os-traits/metadata.xml
@@ -5,6 +5,7 @@
 		<email>prometheanfire@gentoo.org</email>
 		<name>Matthew Thode</name>
 	</maintainer>
+	<stabilize-allarches/>
 	<upstream>
 		<remote-id type="github">openstack/os-traits</remote-id>
 		<remote-id type="pypi">os-traits</remote-id>


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-11-27 16:04 Agostino Sarubbo
  0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2020-11-27 16:04 UTC (permalink / raw
  To: gentoo-commits

commit:     505162428885787e72171445b84569da6103231e
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 27 16:03:48 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Nov 27 16:04:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50516242

dev-python/os-traits: amd64/x86 stable (ALLARCHES policy) wrt bug #756490

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-python/os-traits/os-traits-2.4.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/os-traits/os-traits-2.4.0.ebuild b/dev-python/os-traits/os-traits-2.4.0.ebuild
index 307e81868da..e3205a23534 100644
--- a/dev-python/os-traits/os-traits-2.4.0.ebuild
+++ b/dev-python/os-traits/os-traits-2.4.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="Apache-2.0"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
 
 DEPEND=">=dev-python/pbr-5.4.0[${PYTHON_USEDEP}]"
 RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/
@ 2020-11-27 16:18 Michał Górny
  0 siblings, 0 replies; 16+ messages in thread
From: Michał Górny @ 2020-11-27 16:18 UTC (permalink / raw
  To: gentoo-commits

commit:     4d1d45fa17e6596ff8277f92d629c7bdf9250921
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 27 16:16:49 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 27 16:18:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d1d45fa

dev-python/os-traits: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/os-traits/Manifest               |  1 -
 dev-python/os-traits/os-traits-2.3.0.ebuild | 28 ----------------------------
 2 files changed, 29 deletions(-)

diff --git a/dev-python/os-traits/Manifest b/dev-python/os-traits/Manifest
index 20a978bf65f..79f29957250 100644
--- a/dev-python/os-traits/Manifest
+++ b/dev-python/os-traits/Manifest
@@ -1,2 +1 @@
-DIST os-traits-2.3.0.tar.gz 25968 BLAKE2B 9c749ca63f7d67e979a732fbc5de3285ec2635a6ca92fae26f8801e9d9f3dcd1a09b3eacb10162a5e53be932ddc48a8f379a17c8cfb3dbe6114339c35d943111 SHA512 0dd7379dded33a89e1163fb929cc50016474912817f99f048abf325cedd9369d155cf8ecfdcd868ec1bf124c0a44f9926daeffa68877bf723f78a15f6c091e90
 DIST os-traits-2.4.0.tar.gz 25523 BLAKE2B 4b80ea28b748d69f9ddc510a2c4766f06bfe85544c86c6771d323f8a58e3244033d4bf79c0b525be1a46b39402f19f6dd2e83bef5fcec06e52cd0a3c0708f69d SHA512 ac6cfc58f3f77d44fb252be0c00afbd147ec0da0cca395c76b5ba31d3626a7118273713935f793c9ed9a2230062c9a3e9384867795aa83318cfa2c91fb15fa55

diff --git a/dev-python/os-traits/os-traits-2.3.0.ebuild b/dev-python/os-traits/os-traits-2.3.0.ebuild
deleted file mode 100644
index 0b5e0d5cd90..00000000000
--- a/dev-python/os-traits/os-traits-2.3.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_7 )
-
-inherit distutils-r1
-
-DESCRIPTION="os-traits is a library containing standardized trait strings."
-HOMEPAGE="https://github.com/openstack/os-traits"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE=""
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-	!~dev-python/pbr-2.1.0"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	${CDEPEND}"
-RDEPEND="
-	${CDEPEND}"
-
-python_prepare_all() {
-	sed -i '/^hacking/d' test-requirements.txt || die
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

end of thread, other threads:[~2020-11-27 16:18 UTC | newest]

Thread overview: 16+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-02-24  6:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/os-traits/ Matt Thode
  -- strict thread matches above, loose matches on Subject: below --
2020-11-27 16:18 Michał Górny
2020-11-27 16:04 Agostino Sarubbo
2020-11-25  9:23 Michał Górny
2020-10-18 21:59 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-11-19 18:36 Matthew Thode
2019-10-21  0:19 Matthew Thode
2019-04-12 19:44 Matthew Thode
2019-03-25  0:07 Matthew Thode
2018-06-26 17:43 Pacho Ramos
2018-03-31  1:54 Matt Thode
2017-09-29 23:32 Matt Thode
2017-08-30 21:07 Matt Thode

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox